<?php


namespace Fastrack\Utilities;


use SilverStripe\Control\HTTPRequest;
use SilverStripe\Control\Middleware\HTTPMiddleware;

class FlashMiddleware implements HTTPMiddleware
{

	public function process(HTTPRequest $request, callable $delegate)
	{
		$seen = $request->getSession()->get('FlashSeen');
		if ($seen === false) {
			$request->getSession()->set('FlashSeen', true);
		} else if ($seen === true) {
			$request->getSession()->clear('FlashMessage');
			$request->getSession()->clear('FlashStatus');
			$request->getSession()->clear('FlashSeen');
		}
		return $delegate($request);
	}
}
