<?php

namespace Fastrack\Utilities\PaymentGateway;

class Transactions
{

	/** @var array<Transaction>  */
	private array $transactions;

	/**
	 * @param array $transactions
	 */
	public function __construct(array $transactions)
	{
		$this->transactions = [];
		foreach ($transactions as $transaction) {
			$this->transactions[] = new Transaction($transaction);
		}
	}

	public function getTransaction(): Transaction
	{
		foreach ($this->transactions as $transaction) {
			if (!$transaction->getIsSurcharge()) {
				return $transaction;
			}
		}
		return $this->transactions[0];
	}

	public function getTotal(): int
	{
		$transaction = $this->getTransaction();
		$amount = floatval($transaction->getAmount());
		$surcharge = floatval($transaction->getAmountSurcharge());
		return intval(($amount + $surcharge) * 100);
	}


}
