<?php

namespace Fastrack\Utilities\ServicesApi;

use DateTime;

class BookResponse implements Response
{

	private array $data;

	public function __construct(array $data)
	{
		$this->data = $data;
	}

	public function getBookingReference(): string
	{
		return $this->data['bookingReference'];
	}

	public function getRooms(): int
	{
		return $this->data['rooms'];
	}

	public function getArrival(): DateTime
	{
		return DateTime::createFromFormat('Y-m-d', $this->data['arrival']);
	}

	public function getDeparture(): DateTime
	{
		return DateTime::createFromFormat('Y-m-d', $this->data['departure']);
	}

	public function getAdults(): int
	{
		return $this->data['adults'];
	}

	public function getChildren(): int
	{
		return $this->data['children'];
	}

	public function getInfants(): int
	{
		return $this->data['infants'];
	}

	public function getEta(): string
	{
		return $this->data['eta'];
	}

	public function getPrice(): int
	{
		return $this->data['price'];
	}

	public function getDiscount(): int
	{
		return $this->data['discount'];
	}

	public function getDeposit(): int
	{
		return $this->data['deposit'];
	}

	public function getCurrencyId(): int
	{
		return $this->data['currencyId'];
	}

	public function getCurrencySymbol(): string
	{
		return $this->data['currencySymbol'];
	}

	public function getDiscounts(): array
	{
		$discounts = [];
		foreach ($this->data['discounts'] as $discount) {
			$discounts[] = new Discount($discount);
		}
		return $discounts;
	}

	public function getData(): array
	{
		return $this->data;
	}


}
