<?php

namespace src\tasks;

use PlatoCreative\Imgix\Imgix;
use SilverStripe\Control\HTTPRequest;
use SilverStripe\Dev\BuildTask;

class SetImageDimensions extends BuildTask
{

	private static string $segment = 'set-image-dimensions';

	public function getTitle(): string
	{
		return 'Set Imgix image dimensions';
	}

	public function getDescription(): string
	{
		return 'Set image dimensions within the database';
	}

	public function run($request)
	{
		$images = Imgix::get()->filter(['ImageWidth' => null, 'ImageHeight' => null]);
		$noOfImages = $images->count();
		$count = 1;
		echo 'Setting image dimensions...' . PHP_EOL;
		foreach ($images as $image) {
			echo " ... ";
			$image->write();
			echo "$count/$noOfImages" . PHP_EOL;
			$count++;
		}
		echo 'Complete' . PHP_EOL;
 	}

}
